curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "phone",
"method": "byo_sms",
"byo_sms": {
"timestamp": "2023-12-28T14:35:15.816Z"
}
}'
const response = await method
.entities("ent_XgYkTdiHyaz3e")
.verificationSessions
.create({
type: "phone",
method: "byo_sms",
byo_sms: {
timestamp: "2023-12-28T14:35:15.816Z",
},
});
response = method
.entities('ent_XgYkTdiHyaz3e')
.verification_sessions
.create({
'type': 'phone',
'method': 'byo_sms',
'byo_sms': {
'timestamp': '2023-12-28T14:35:15.816Z'
}
})
{
"id": "evf_3VT3bHTCnPbrm",
"entity_id": "ent_XgYkTdiHyaz3e",
"status": "verified",
"type": "phone",
"method": "byo_sms",
"byo_sms": {
"timestamp": "2023-12-28T14:35:15.816Z"
},
"error": null,
"created_at": "2024-04-10T16:40:16.271Z",
"updated_at": "2024-04-10T16:40:16.271Z"
}
Phone Verification
Create a BYO SMS Verification
POST
/
entities
/
{ent_id}
/
verification_sessions
curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "phone",
"method": "byo_sms",
"byo_sms": {
"timestamp": "2023-12-28T14:35:15.816Z"
}
}'
const response = await method
.entities("ent_XgYkTdiHyaz3e")
.verificationSessions
.create({
type: "phone",
method: "byo_sms",
byo_sms: {
timestamp: "2023-12-28T14:35:15.816Z",
},
});
response = method
.entities('ent_XgYkTdiHyaz3e')
.verification_sessions
.create({
'type': 'phone',
'method': 'byo_sms',
'byo_sms': {
'timestamp': '2023-12-28T14:35:15.816Z'
}
})
{
"id": "evf_3VT3bHTCnPbrm",
"entity_id": "ent_XgYkTdiHyaz3e",
"status": "verified",
"type": "phone",
"method": "byo_sms",
"byo_sms": {
"timestamp": "2023-12-28T14:35:15.816Z"
},
"error": null,
"created_at": "2024-04-10T16:40:16.271Z",
"updated_at": "2024-04-10T16:40:16.271Z"
}
Bring-Your-Own SMS (BYO SMS) creates a new to inform Method that this Entity’s phone number has already been verified via non-Method verifications skipping the phone verification requirement.
This Verification type is restricted and require pre-approval. Contact your Method CSM for more information.
Path Parameters
Body
Returns
Returns an object.curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "phone",
"method": "byo_sms",
"byo_sms": {
"timestamp": "2023-12-28T14:35:15.816Z"
}
}'
const response = await method
.entities("ent_XgYkTdiHyaz3e")
.verificationSessions
.create({
type: "phone",
method: "byo_sms",
byo_sms: {
timestamp: "2023-12-28T14:35:15.816Z",
},
});
response = method
.entities('ent_XgYkTdiHyaz3e')
.verification_sessions
.create({
'type': 'phone',
'method': 'byo_sms',
'byo_sms': {
'timestamp': '2023-12-28T14:35:15.816Z'
}
})
{
"id": "evf_3VT3bHTCnPbrm",
"entity_id": "ent_XgYkTdiHyaz3e",
"status": "verified",
"type": "phone",
"method": "byo_sms",
"byo_sms": {
"timestamp": "2023-12-28T14:35:15.816Z"
},
"error": null,
"created_at": "2024-04-10T16:40:16.271Z",
"updated_at": "2024-04-10T16:40:16.271Z"
}
⌘I